// NateNMEAInstallerDlg.h : header file
//

#if !defined(AFX_NATENMEAINSTALLERDLG_H__1A435E90_9C2F_4276_8CF0_CFB96F9B3368__INCLUDED_)
#define AFX_NATENMEAINSTALLERDLG_H__1A435E90_9C2F_4276_8CF0_CFB96F9B3368__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CNateNMEAInstallerDlg dialog

class CNateNMEAInstallerDlg : public CDialog
{
// Construction
public:
	CNateNMEAInstallerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CNateNMEAInstallerDlg)
	enum { IDD = IDD_NATENMEAINSTALLER_DIALOG };
	CButton	m_checkDebug;
	CComboBox	m_comboConvertPort;
	CComboBox	m_comboComList;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNateNMEAInstallerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	DWORD	nComboIndex;
	DWORD	ComPort[12];
	WCHAR	wstrConvertPort[256];
	DWORD	nTargetPort;

	void GetComPortList();

	// Generated message map functions
	//{{AFX_MSG(CNateNMEAInstallerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonSet();
	afx_msg void OnButtonCancel();
	afx_msg void OnButtonRemove();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NATENMEAINSTALLERDLG_H__1A435E90_9C2F_4276_8CF0_CFB96F9B3368__INCLUDED_)
